- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OpenMesh::Decimater::ModNormalFlippingT< DecimaterT > Class Template Reference

Decimating module to avoid flipping of faces. More...

`#include <ModNormalFlippingT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModNormalFlippingT< DecimaterT >:

List of all members.

## Public Member Functions
float | collapse_priority (const CollapseInfo &_ci)
| Compute collapse priority due to angular deviation of face normals before and after a collapse.
Scalar | max_normal_deviation () const
| get normal deviation
void | set_max_normal_deviation (Scalar _f)
| Set normal deviation.
void | set_binary (bool _b)
| Set whether module is binary or not.

## Detailed Description

### template<typename DecimaterT>
class OpenMesh::Decimater::ModNormalFlippingT< DecimaterT >

Decimating module to avoid flipping of faces.

This module can be used only as a binary module. The criterion of allowing/disallowing the collapse is the angular deviation between the face normal of the orignal faces and normals of the faces after the collapse. The collapse will pass the test, if the deviation is below a given threshold.

## Member Function Documentation

template<typename DecimaterT>

float OpenMesh::Decimater::ModNormalFlippingT< DecimaterT >::collapse_priority | ( | const CollapseInfo & | _ci | ) | `[inline]`

Compute collapse priority due to angular deviation of face normals before and after a collapse.

1. Compute for each adjacent face of `_ci.v0` the face normal if the collpase would be executed.

1. Prevent the collapse, if the angle between the original and the new normal is below a given threshold.

Parameters:

  | _ci | The collapse description

Returns:
  LEGAL_COLLAPSE or ILLEGAL_COLLAPSE

See also:
  set_max_normal_deviation()

template<typename DecimaterT>

void OpenMesh::Decimater::ModNormalFlippingT< DecimaterT >::set_max_normal_deviation | ( | Scalar | _f | ) | `[inline]`

Set normal deviation.

Set the maximum angular deviation of the orignal normal and the new normal in degrees.

The documentation for this class was generated from the following file:

- Tools/Decimater/ModNormalFlippingT.hh